<?php



	/*

                Plugin Name: Local Leader

		Description: Lead page wordpress plugin

		Version: 1.0

	*/



	add_action('template_redirect', 'checkif_localleader', 5);

	function checkif_localleader() {

		

		$post_type = get_query_var('post_type');

		if ($post_type == 'localleader') {  

	

			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;

				load_template(WP_PLUGIN_DIR . '/locallead' . '/page/index.php');

			exit;

			

		}

	}





	register_activation_hook( __FILE__, 'activatelocalleader');



	function activatelocalleader() {

		global $wpdb;

		$table_name = $wpdb->prefix . "localleader_leads";

		   

		   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {

		      

		      $sql = "CREATE TABLE " . $table_name . " (

			    id INTEGER(40) UNSIGNED AUTO_INCREMENT,

			   name varchar(500),

			   email varchar(500),

			   pageID varchar(500),

			   question LONGTEXT,

			   UNIQUE KEY id (id)

			 );";

		

		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

		      dbDelta($sql);

		   }

	  }

	

	function localleader_addnewlead($name, $email, $pageID, $question) {

		global $wpdb;

 		$table_db_name = $wpdb->prefix . "localleader_leads";

 		$wpdb->insert( $table_db_name, 

        array( 

	     'name' => $name,

	     'email' => $email,

	     'question' => $question,

	     'pageID' => $pageID

	      )

		);

		

		

	}



	require_once('plugin-config.php');

	

?>